Create contact
Create contact. See the OpenAPI-defined parameters, request body, and responses below.
POST
/ContactCreate contact. See the OpenAPI-defined parameters, request body, and responses below.
OpenAPI description: Este endpoint cria um novo contato com os dados fornecidos no corpo da requisição.
Authentication
Authentication required. Send your user API key in the X-API-Key header.
Parameters
This operation has no path, query, or header parameters.
Request body
Content type: application/json · Schema: ContactDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
firstName | string | No | — | nullable |
lastName | string | No | — | nullable |
fullName | string | No | — | nullable |
linkedInUrl | string | No | — | nullable |
title | string | No | — | nullable |
companyName | string | No | — | nullable |
accountId | integer · int32 | No | — | — |
preferredUserId | integer · int32 | No | — | — |
enabled | boolean | No | — | — |
externalId | string | No | — | nullable |
primaryEmail | string | No | — | nullable |
primaryPhone | string | No | — | nullable |
Example request
curl --request POST \
--url 'https://api.zild.ai/Contact' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"firstName": "string",
"lastName": "string",
"fullName": "string",
"linkedInUrl": "string",
"title": "string",
"companyName": "string",
"accountId": 0,
"preferredUserId": 0,
"enabled": true,
"externalId": "string",
"primaryEmail": "string",
"primaryPhone": "string"
}'
Responses
| Status | Description | Response body |
|---|---|---|
200 | Contato criado com sucesso | application/json · ContactDto |
Example response (200):
{
"id": 0,
"firstName": "string",
"lastName": "string",
"fullName": "string",
"linkedInUrl": "string",
"title": "string",
"companyName": "string",
"accountId": 0,
"preferredUserId": 0,
"enabled": true,
"externalId": "string",
"primaryEmail": "string",
"primaryPhone": "string"
}
Data models
ContactDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
firstName | string | No | — | nullable |
lastName | string | No | — | nullable |
fullName | string | No | — | nullable |
linkedInUrl | string | No | — | nullable |
title | string | No | — | nullable |
companyName | string | No | — | nullable |
accountId | integer · int32 | No | — | — |
preferredUserId | integer · int32 | No | — | — |
enabled | boolean | No | — | — |
externalId | string | No | — | nullable |
primaryEmail | string | No | — | nullable |
primaryPhone | string | No | — | nullable |